Bug 1304512 - Packstack replaces httpd config with one without conf.modules.d
Packstack replaces httpd config with one without conf.modules.d
Status: CLOSED EOL
Product: RDO
Classification: Community
Component: openstack-puppet-modules (Show other bugs)
Liberty
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Kilo
Assigned To: Lukas Bezdicka
Shai Revivo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-03 16:17 EST by Patrick Uiterwijk
Modified: 2016-05-19 11:51 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-19 11:51:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick Uiterwijk 2016-02-03 16:17:56 EST
Description of problem:
packstack --allinone replaces /etc/httpd/conf/httpd.conf with one that doesn't include /etc/httpd/conf.modules.d/*.conf, which means that any extra modules aren't loaded.

Version-Release number of selected component (if applicable):
openstack-packstack-1:7.0.0-0.10.dev1682.g42b3426.el7

How reproducible:
Consistent

Steps to Reproduce:
1. Run packstack --allinone

Actual results:
An httpd config that doesn't load conf.modules.d

Expected results:
An httpd config that contains the following line: IncludeOptional "/etc/httpd/conf.modules.d/*.conf"


Additional info:
Installed from CentOS centos-release-openstack-liberty.noarch
Comment 1 Alan Pevec 2016-02-03 17:16:37 EST
RDO Liberty contains openstack-puppet-modules-7.0.1-1.el7 please update to the latest 7.0.6 from OPM stable/liberty branch.
Comment 2 Alan Pevec 2016-02-03 17:27:15 EST
But even in 7.0.1, httpd.conf template DOES have that IncludeOptional line:
https://github.com/redhat-openstack/openstack-puppet-modules/blob/7.0.1/apache/templates/httpd.conf.erb#L80
so I'm not sure what's going on here!
Comment 3 Patrick Uiterwijk 2016-02-03 17:41:12 EST
I can only find IncludeOptional "<%= @confd_dir %>/*.conf", which is conf.d/*.conf.

That file did appear in the generated config.
The missing one is conf.modules.d/*.conf: note the missing .modules
Comment 4 Alan Pevec 2016-02-04 05:31:25 EST
ok, I should read bz description more carefully!
So the template has:
<% if @mod_load_dir != @confd_dir and @mod_load_dir != @vhost_load_dir -%>
Include "<%= @mod_load_dir %>/*.conf"
<% end -%>

but default for osfamily == 'RedHat' is:
 $mod_dir              = "${httpd_dir}/conf.d"
hence it is not included. Bug in puppet-apache?
Comment 7 Chandan Kumar 2016-05-19 11:51:51 EDT
This bug is against a Version which has reached End of Life.
If it's still present in supported release (http://releases.openstack.org), please update Version and reopen.

Note You need to log in before you can comment on or make changes to this bug.